> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Advertisers

> Search the Google Ad Transparency Library for advertisers to get their advertiser id

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/google-ad-library/search-advertisers
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/google-ad-library/search-advertisers:
    get:
      tags:
        - googleAdLibrary
      summary: Search Advertisers
      description: >-
        Search the Google Ad Transparency Library for advertisers to get their
        advertiser id
      operationId: googleAdLibrary_Search_Advertisers
      parameters:
        - name: query
          in: query
          description: The query to search for
          required: true
          schema:
            type: string
            example: nike
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**

            - `advertisers[0].name`: Advertiser display name

            - `advertisers[0].advertiser_id`: Unique advertiser ID to use in
            other endpoints

            - `advertisers[0].region`: Country code of the advertiser (e.g.
            `US`, `IT`)

            - `websites[0].domain`: Associated domain name matching the search
            query
          content:
            application/json:
              example:
                success: true
                data:
                  success: true
                  advertisers:
                    '0':
                      name: Nike Lee
                      advertiser_id: AR18100938063227125761
                      region: US
                    '1':
                      name: NIKE SRL
                      advertiser_id: AR17365672681860497409
                      region: IT
                    '2':
                      name: Nike Kola
                      advertiser_id: AR05316777725531258881
                      region: US
                    '3':
                      name: Nike, Inc.
                      advertiser_id: AR16735076323512287233
                      region: US
                    '4':
                      name: Nike Klara
                      advertiser_id: AR17567291692413878273
                      region: US
                    '5':
                      name: Nikel Kola
                      advertiser_id: AR04767743191271079937
                      region: US
                    '6':
                      name: Nikeson AB
                      advertiser_id: AR00386048032979812353
                      region: SE
                    '7':
                      name: Irina Nikel
                      advertiser_id: AR09275785137675567105
                      region: CA
                    '8':
                      name: nikesh seth
                      advertiser_id: AR01903240892374843393
                      region: US
                    '9':
                      name: Nikesh Patel
                      advertiser_id: AR00479845772217548801
                      region: US
                  websites:
                    '0':
                      domain: nike.cl
                    '1':
                      domain: nike.ae
                    '2':
                      domain: nike.com
                    '3':
                      domain: kannike.eu
                    '4':
                      domain: nike.in.ua
                    '5':
                      domain: nikesb.com
                    '6':
                      domain: nike.com.pe
                    '7':
                      domain: nike.com.kw
                    '8':
                      domain: nike.com.br
                    '9':
                      domain: nike.com.hk
                creditsUsed: 1
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Query parameter is required
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                  available:
                    type: integer
                    example: 0
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error - Service configuration or processing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      An error occurred while searching Google Ad Library
                      advertisers
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````